# Generated by Django 3.2.18 on 2023-12-06 13:12

from django.db import migrations, models


def vetoes_from_vote_to_nomination(apps, schema_editor):
    Vote = apps.get_model("colleges", "FellowshipNominationVote")
    for vote in Vote.objects.all():
        if vote.vote == "veto":
            nomination = vote.voting_round.nomination
            nomination.vetoes.add(vote.fellow)
            nomination.save()


def vetoes_from_nomination_to_vote(apps, schema_editor):
    Nomination = apps.get_model("colleges", "FellowshipNomination")
    Vote = apps.get_model("colleges", "FellowshipNominationVote")
    for nomination in Nomination.objects.all():
        for fellow_vetoed in nomination.vetoes.all():
            vote = Vote.objects.create(
                voting_round=nomination.latest_voting_round,
                fellow=fellow_vetoed,
                on=nomination.latest_voting_round.voting_opens,
                vote="veto",
            )
            vote.save()


class Migration(migrations.Migration):
    dependencies = [
        ("colleges", "0044_alter_fellowshipnominationdecision_outcome"),
    ]

    operations = [
        migrations.AddField(
            model_name="fellowshipnomination",
            name="vetoes",
            field=models.ManyToManyField(
                blank=True, related_name="nominations_vetoed", to="colleges.Fellowship"
            ),
        ),
        migrations.RunPython(
            vetoes_from_vote_to_nomination, vetoes_from_nomination_to_vote
        ),
        migrations.AlterField(
            model_name="fellowshipnominationvote",
            name="vote",
            field=models.CharField(
                choices=[
                    ("agree", "Agree"),
                    ("abstain", "Abstain"),
                    ("disagree", "Disagree"),
                ],
                max_length=16,
            ),
        ),
    ]
